using System.Collections.ObjectModel;
using CommunityToolkit.Mvvm.ComponentModel;

namespace InABox.Avalonia.Components;

public partial class AvaloniaMenuItemCollection : ObservableObject
{
    [ObservableProperty] private ObservableCollection<AvaloniaMenuItem> _items = new();

    public void Add(AvaloniaMenuItem item)
    {
        Items.Add(item);
    }
}